Bulk Delete Available Periods

Read as Markdown

Description #

Deletes all available periods for the authenticated account.

This can be used in combination with our Simple Scheduling and Availability features to manage an account’s availability dynamically.

It can also be used in conjunction with the Batch endpoint.

URL format #

{data_center_url}/v1/available_periods

Example Request #

DELETE /v1/available_periods HTTP/1.1
Host: {data_center_url}
Authorization: Bearer {ACCESS_TOKEN}
Content-Type: application/json; charset=utf-8

{
  "delete_all": true
}

Example Response #

HTTP/1.1 202 Accepted

Request parameters #

data_center_url Required

The URL for the data center you want to communicate with. Possible choices are:

  • api-au.cronofy.com - πŸ‡¦πŸ‡Ί Australia
  • api-ca.cronofy.com - πŸ‡¨πŸ‡¦ Canada
  • api-de.cronofy.com - πŸ‡©πŸ‡ͺ Germany
  • api-sg.cronofy.com - πŸ‡ΈπŸ‡¬ Singapore
  • api-uk.cronofy.com - πŸ‡¬πŸ‡§ United Kingdom
  • api.cronofy.com - πŸ‡ΊπŸ‡Έ United States

Find out more about Cronofy's data centers.

delete_all Required  #

A Boolean specifying whether all available period you are managing for the authenticated account should be deleted. When specified must be true.